// priority: 0

ItemEvents.tooltip(event => {
  

  event.addAdvanced('nwtc:singularity', (stack, advanced, text) => {
    if (!event.isShift()) {
      text.add(1, [Text.of({"translate": "tooltips.hold.1"}).gold(), Text.of({"translate": "tooltips.shift.1"}).yellow(), Text.of({"translate": "tooltips.seemoreinfo.1"}).gold()])
    }
    if (event.isShift()) {
      text.add(1, [Text.of({"translate": "tooltips.singularity.info.1"}).darkGreen(),])
      text.add(2, [Text.of({"translate": "tooltips.singularity.info.2"}).green(),])
      text.add(3, [Text.of({"translate": "tooltips.singularity.info.3"}).green(),])
      text.add(4, [Text.of({"translate": "tooltips.singularity.info.4"}).darkPurple(),])
    }
  })
  event.addAdvanced('#curios:wallet', (stack, advanced, text) => {
    if (!event.isShift()) {
      text.add(1, [Text.of({"translate": "tooltips.hold.1"}).gold(), Text.of({"translate": "tooltips.shift.1"}).yellow(), Text.of({"translate": "tooltips.seemoreinfo.1"}).gold()])
    }
    if (event.isShift()) {
      text.add(1, [Text.of({"translate": "tooltips.wallet.info.1"}).darkGreen(),])
      text.add(2, [Text.of({"translate": "tooltips.wallet.info.2"}).green(),])
      text.add(3, [Text.of({"translate": "tooltips.wallet.info.3"}).green(),])
      text.add(4, [Text.of({"translate": "tooltips.wallet.info.4"}).darkPurple(),])
    }
  })
  event.addAdvanced('solarcraft:energy_dust', (stack, advanced, text) => {
    if (!event.isShift()) {
      text.add(1, [Text.of({"translate": "tooltips.hold.1"}).gold(), Text.of({"translate": "tooltips.shift.1"}).yellow(), Text.of({"translate": "tooltips.seemoreinfo.1"}).gold()])
    }
    if (event.isShift()) {
      text.add(1, [Text.of({"translate": "tooltips.energy_dust.info.1"}).darkGreen(),])
      text.add(2, [Text.of({"translate": "tooltips.energy_dust.info.2"}).darkAqua(),])
    }
  })
  event.addAdvanced('solarcraft:void_dust', (stack, advanced, text) => {
    if (!event.isShift()) {
      text.add(1, [Text.of({"translate": "tooltips.hold.1"}).gold(), Text.of({"translate": "tooltips.shift.1"}).yellow(), Text.of({"translate": "tooltips.seemoreinfo.1"}).gold()])
    }
    if (event.isShift()) {
      text.add(1, [Text.of({"translate": "tooltips.void_lily.info.1"}).darkGreen(),])
      text.add(2, [Text.of({"translate": "tooltips.void_lily.info.2"}).darkAqua(),])
    }
  })
  event.addAdvanced('solarcraft:solar_forge', (stack, advanced, text) => {
    if (!event.isShift()) {
      text.add(1, [Text.of({"translate": "tooltips.hold.1"}).gold(), Text.of({"translate": "tooltips.shift.1"}).yellow(), Text.of({"translate": "tooltips.seemoreinfo.1"}).gold()])
    }
    if (event.isShift()) {
      text.add(1, [Text.of({"translate": "tooltips.solar_forge.info.1"}).yellow(),])
      text.add(2, [Text.of({"translate": "tooltips.solar_forge.info.2"}).darkGray(),])
    }
  })
  event.addAdvanced('nwtc:broom', (stack, advanced, text) => {
    if (!event.isShift()) {
      text.add(1, [Text.of({"translate": "tooltips.hold.1"}).gold(), Text.of({"translate": "tooltips.shift.1"}).yellow(), Text.of({"translate": "tooltips.seemoreinfo.1"}).gold()])
    }
    if (event.isShift()) {
      text.add(1, [Text.of({"translate": "tooltips.Broom.info.1"}).darkGreen(),])
      text.add(2, [Text.of({"translate": "tooltips.Broom.info.2"}).yellow(),])
      text.add(3, [Text.of({"translate": "tooltips.Broom.info.3"}).darkPurple(),])
    }
  })
  event.addAdvanced('nwtc:charred_meat', (stack, advanced, text) => {
    if (!event.isShift()) {
      text.add(1, [Text.of({"translate": "tooltips.hold.1"}).gold(), Text.of({"translate": "tooltips.shift.1"}).yellow(), Text.of({"translate": "tooltips.seemoreinfo.1"}).gold()])
    }
    if (event.isShift()) {
      text.add(1, [Text.of({"translate": "tooltips.charred_meat.info.1"}).darkGreen(),])
      text.add(2, [Text.of({"translate": "tooltips.charred_meat.info.2"}).yellow(),])
      text.add(3, [Text.of({"translate": "tooltips.charred_meat.info.3"}).darkPurple(),])
    }
  })

  event.addAdvanced('#nwtc:noodles', (stack, advanced, text) => {
    if (!event.isShift()) {
      text.add(1, [Text.of({"translate": "tooltips.hold.1"}).gold(), Text.of({"translate": "tooltips.shift.1"}).yellow(), Text.of({"translate": "tooltips.seemoreinfo.1"}).gold()])
    }
    if (event.isShift()) {
      text.add(1, [Text.of({"translate": "tooltips.noodles.info.1"}).darkGreen(),])
      text.add(2, [Text.of({"translate": "tooltips.noodles.info.2"}).yellow(),])
    }
  })

  event.addAdvanced(/sophisticatedbackpacks:.*backpack/, (item, advanced, text) => {
		if (!event.isShift()) {
			if (item.nbt) {
        text.add(1, [Text.of({"translate": "tooltips.sophisticatedbackpacks.upgrade.leather"}).darkAqua(),
        (item.nbt.leather ? item.nbt.leather : 0),
        " / 24  ",
        Text.of({"translate": "tooltips.sophisticatedbackpacks.upgrade.addslots"}).darkAqua()," + 1"])

        text.add(2, [Text.of({"translate": "tooltips.sophisticatedbackpacks.upgrade.steel"}).darkGray(),
        (item.nbt.steel ? item.nbt.steel : 0),
        " / 16  ",
        Text.of({"translate": "tooltips.sophisticatedbackpacks.upgrade.addslots"}).darkGray()," + 1"])

        text.add(3, [Text.of({"translate": "tooltips.sophisticatedbackpacks.upgrade.brass_sheet"}).yellow(),
        (item.nbt.brass_sheet ? item.nbt.brass_sheet : 0),
        " / 25  ",
        Text.of({"translate": "tooltips.sophisticatedbackpacks.upgrade.addslots"}).yellow()," + 1"])

        text.add(4, [Text.of({"translate": "tooltips.sophisticatedbackpacks.upgrade.sky_ingot"}).blue(),
        (item.nbt.sky_ingot ? item.nbt.sky_ingot : 0),
        " / 16  ",
        Text.of({"translate": "tooltips.sophisticatedbackpacks.upgrade.addslots"}).blue()," + 2"])

        text.add(5, [Text.of({"translate": "tooltips.sophisticatedbackpacks.upgrade.circuit_board"}).darkGreen(),
        (item.nbt.circuit ? item.nbt.circuit : 0),
        " / 12  ",
        Text.of({"translate": "tooltips.sophisticatedbackpacks.upgrade.addslots"}).darkGreen()," + 2"])

        text.add(6, [Text.of({"translate": "tooltips.sophisticatedbackpacks.upgrade.runes_ingot"}).darkPurple(),
        (item.nbt.runes_ingot ? item.nbt.runes_ingot : 0),
        " / 2  ",
        Text.of({"translate": "tooltips.sophisticatedbackpacks.upgrade.upgradeslots"}).darkPurple()," + 1"])

        text.add(7, [Text.of({"translate": "tooltips.sophisticatedbackpacks.upgrade.medal"}).darkPurple(),
        (item.nbt.medal ? item.nbt.medal : 0),
        " / 4  ",
        Text.of({"translate": "tooltips.sophisticatedbackpacks.upgrade.upgradeslots"}).darkPurple()," + 1"])
				
			} else {
				text.add(1, [Text.of({"translate": "tooltips.sophisticatedbackpacks.upgrade.none"}).yellow(),])
		
			}
		}
	})
 
 


})


